﻿@using System.Configuration
@{
    ViewBag.Title = "QMC - Login";
}


<div id="root" style="width: 320px; margin: 40px auto;">
</div>

@section Scripts {
    <script type="text/javascript" src="https://cdn.auth0.com/js/lock/10.9.1/lock.min.js"></script>
    <script>
        var lock = new Auth0Lock('@ConfigurationManager.AppSettings["auth0:ClientId"]', '@ConfigurationManager.AppSettings["auth0:Domain"]',
        {
            container: 'root',
            auth: {
                redirectUrl: window.location.origin + '/signin-auth0',
                responseType: 'code',
                params: {
                    scope: 'openid'
                }
            }
        });
        lock.show();
    </script>
}